Subject: Re: [RFC PATCH v3 nf-next] selftests: netfilter: Add bridge_fastpath.sh

From: Florian Westphal <[email-masked]>
Date: Sat, 4 Oct 2025 14:19:07 +0200

Eric Woudstra <[email-masked]> wrote:
> Changes in the patchset "conntrack: bridge: add double vlan, pppoe and
> pppoe-in-q" has lead to changes in this script. I'm waiting for that
> patch-set is to be accepted. Then I will send this script without the
> rfc tag.

Can you send this script standalone?  You can extend it along with the
feature patches.

> > Its a pre-existing bug, br_vlan_fill_forward_path_pvid uses
> > br_vlan_group() instead of _rcu version.
> > 
> > Will you send a patch for this?
> I had this as part of an upcoming patch-set, but I will remove it from
> there and send it as a separate patch. I assume this can go to nf
> instead of nf-next, as it is a bugfix?

Yes, standalone fix for nf, with "Fies" tag pointing at the patch
that introduced this bug.